[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TPersistent.GetNamePath

Returns a string that can be used to identify the class instance.

## Declaration

Source position: classesh.inc line 443

`public function TPersistent.GetNamePath: string; virtual;`

## Description

GetNamePath returns a string that can be used to identify the class instance. This can be used to display a name for this instance in a Object designer.

GetNamePath constructs a name by recursively prepending the Classname of the Owner instance to the Classname of this instance, separated by a dot.

## See also

TPersistent.GetOwner |  | Returns the owner of the component.

Documentation generated on: Feb 26 2014